## ros-indigo-jsk-teleop-joy 0.1.15

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(jsk_teleop_joy)

find_package(catkin REQUIRED) # pr2_controllers_msgs robot_monitor
catkin_python_setup()

catkin_package(
  CATKIN_DEPENDS
  
  )

install(DIRECTORY launch scripts configs
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  USE_SOURCE_PERMISSIONS
  PATTERN ".svn" EXCLUDE
  )

install(FILES plugin.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-indigo-jsk-teleop-joy (0.1.15-0trusty) trusty; urgency=high

  * Merge pull request #693 <https://github.com/jsk-ros-pkg/jsk_control/issues/693> from k-okada/fix_apt_slow
    remove unused build_depends
  * remove unused build_depends
  * Contributors: Kei Okada

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Tue, 15 May 2018 15:00:00 -0000

ros-indigo-jsk-teleop-joy (0.1.14-0trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sun, 14 Jan 2018 15:00:00 -0000

ros-indigo-jsk-teleop-joy (0.1.13-0trusty) trusty; urgency=high

  * [jsk_footstep_planner, jsk_teleop_joy] add stack mode to footstep_marker
  * [jsk_teleop_joy] Remove / from default frame_id in pose6d plugin
  * [jsk_teleop_joy] update view control in rviz using teleop_joy
  * Contributors: Yohei Kakiuchi

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Mon, 17 Apr 2017 15:00:00 -0000

ros-indigo-jsk-teleop-joy (0.1.12-0trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Tue, 21 Feb 2017 15:00:00 -0000

ros-indigo-jsk-teleop-joy (0.1.11-0trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Wed, 08 Feb 2017 15:00:00 -0000

ros-indigo-jsk-teleop-joy (0.1.10-0trusty) trusty; urgency=high

  * [jsk_teleop_joy] package.xml : add pygame run depend (#657 <https://github.com/jsk-ros-pkg/jsk_control/pull/657>)
  * Add toggle footstep marker mode joy interface (#607 <https://github.com/jsk-ros-pkg/jsk_control/pull/607>)
    
      * src/jsk_teleop_joy/plugin/joy_footstep_marker.py: Add joy interface to toggle planning mode
    
  * Add plugin to send cmd_vel from joystick contorller (#600 <https://github.com/jsk-ros-pkg/jsk_control/pull/600>)
    
      * [jsk_teleop_joy] src/jsk_teleop_joy/joy.py : Add plugin_package option to JoyManager to use joy plugins in other packages
      * [jsk_teleop_joy] src/jsk_teleop_joy/plugin/joy_cmd_vel.py : Add orthogonal_axis_mode, which does not allow diagonal movement
      * [jsk_teleop_joy] src/jsk_teleop_joy/plugin/joy_cmd_vel.py : Add plugin to send cmd_vel from joystick contorller
    
  * Add utility tools for jaxon footstep planner (#598 <https://github.com/jsk-ros-pkg/jsk_control/pull/598>)
    
      * [jsk_footstep_planner] launch/joy_footstep_marker.launch : Add joy_footstep_marker launch, which control footstep_marker from joystick controller
    
  * Project odom_init to detected floor (#579 <https://github.com/jsk-ros-pkg/jsk_control/pull/579>)
    
      * [jsk_teleop_joy] Check result of service call by exception handling
      * [jsk_teleop_joy] Display OverlayMenu before execute footstep
      * [jsk_teleop_joy] sync pre_pose in joy_footstep_marker only at first of the pose update sequence
      * [jsk_teleop_joy] Add marker_name arg to getCurrentMarkerPose and initialize marker by initial_footstep_marker in reset process
      * [jsk_teleop_joy] Add footstep marker synchonization to joy_footstep_marker
      * [jsk_teleop_joy] Add joycontroller interface plugin for footstep_marker
    
  * Contributors: Kanae Kochigami, Iory Kumagai

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Wed, 14 Dec 2016 15:00:00 -0000

ros-indigo-jsk-teleop-joy (0.1.9-0trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Tue, 22 Mar 2016 15:00:00 -0000

ros-indigo-jsk-teleop-joy (0.1.8-0trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sun, 01 Nov 2015 15:00:00 -0000

ros-indigo-jsk-teleop-joy (0.1.7-0trusty) trusty; urgency=high

  * [jsk_teleop_joy/joy_relative_converter.py] add reset command
  * [jsk_teleop_joy/scripts/joy_relative_converter.py] fix bug to support buttons
  * Revert "[jsk_teleop_joy/scripts/joy_relative_converter.py] fix bug to support buttons"
    This reverts commit 1704b24d2b96aae962e4c87968f68078442417a2.
  * [jsk_teleop_joy/scripts/joy_relative_converter.py] fix bug to support buttons
  * put most process into class method
    Conflicts:
    jsk_teleop_joy/scripts/joy_relative_converter.py
  * instantiate before subscribe
    Conflicts:
    jsk_teleop_joy/scripts/joy_relative_converter.py
  * fix bug around page-change
  * implement page-change
  * add joy_relative_converter
  * [jsk_footstep_controller, jsk_teleop_joy] Use footstep-controller.l and lock/unlock furutaractive
    model during exeucuting footsteps
  * Remove manifest.xml and Makefile and use catkin style filesystem
  * Contributors: Ryohei Ueda, Satoshi Iwaishi

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sat, 31 Oct 2015 15:00:00 -0000

ros-indigo-jsk-teleop-joy (0.1.6-0trusty) trusty; urgency=high

  * [drc_task_common] Modify threshold of brake: 0.9 -> 0.5
  * [jsk_teleop_joy] Subscribe execute flag and disable update command when execute flag is false
  * [jsk_teleop_joy] Call wait_for_message only once in synchronize
  * [jsk_teleop_joy] synchronizeAllCommand do not takes argument
  * [jsk_teleop_joy] Support single synchroniation
  * [jsk_teleop_joy] Fix neck-p/y joint command range
  * [jsk_teleop_joy] Add initialization service to vehicle joy
  * [jsk_teleop_joy] Add synchronize method to vehicle plugin to prevent overwrite previous command when respown
  * [jsk_teleop_joy] Remove set_current_step_as_max functions because they are moved to vehicle_ui
  * [jsk_teleop_joy] Add neck-p interface to joystick controller for vehicle task
  * [jsk_teleop_joy] Speed down handling command: 0.05->0.025
  * [jsk_teleop_joy] Do not set 0.0 command as max step
  * [jsk_teleop_joy] Add set_current_step_as_max function to vehicle_ui
  * [jsk_teleop_joy] Modify teleop command in joystick controller for vehicle task
  * [jsk_teleop_joy] Rename vehicle.launch to joy_vehicle.launch
  * [jsk_teleop_joy] Add neck_angle_max valiable
  * [jsk_teleop_joy] Add functions for look around to vehicle.launch
  * Add brake command and modify accel command specification
  * Add arguments to determine joystick dev path and namespace for ocs
  * [jsk_teleop_joy] Adjsut command publish rate for vehicle


=== debian/control ===
Source: ros-indigo-jsk-teleop-joy
Section: misc
Priority: extra
Maintainer: Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin
Homepage: http://ros.org/wiki/jsk_teleop_joy
Standards-Version: 3.9.2

Package: ros-indigo-jsk-teleop-joy
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-pygame, ros-indigo-diagnostic-msgs, ros-indigo-diagnostic-updater, ros-indigo-image-view2, ros-indigo-interactive-markers, ros-indigo-joy-mouse, ros-indigo-jsk-footstep-msgs, ros-indigo-jsk-interactive-marker, ros-indigo-jsk-rviz-plugins, ros-indigo-ps3joy, ros-indigo-tf, ros-indigo-view-controller-msgs, ros-indigo-visualization-msgs
Description: jsk_teleop_joy

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-jsk-teleop-joy//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
